/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.catalog;

import com.arrebol.taxiservicios.model.core.User;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Oscar
 */
public class Location implements Serializable{
    
    private String id;
    private String name;
    private boolean active;
    private String completeAddress;
    private String gerente;
    private RegimenFiscal taxRegime;
    private String businessName;
    private String rfc;
    private String mail;
    private String phone;
    private String address;
    private String suburb;
    private String state;
    private String municipality;
    private String postalCode;
    private User createdBy;
    private Date createdOn;
    private User lastUpdatedBy;
    private Date lastUpdatedOn;
    private String certificate;
    private String certificateKey;
    private String certificatePassword;
    private String certificateCode;
    private String certificateNumber;
    private String printer;
    private int maxPerson;
    private boolean demo;
    private Date finDemo;
    private String logo;
    
    public Location(String id) {
        this.id = id;
    }

    public Location(String id, String name, User createdBy) {
        this.id = id;
        this.name = name;
        this.createdBy = createdBy;
    }
    
    public Location(String id, String name) {
        this.id = id;
        this.name = name;
    }

    public Location() {
    }

    public Location(String id, String name, boolean active, String completeAddress, User createdBy, Date createdOn, User lastUpdatedBy, Date lastUpdatedOn) {
        this.id = id;
        this.name = name;
        this.active = active;
        this.completeAddress = completeAddress;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
        this.lastUpdatedBy = lastUpdatedBy;
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public Location(String id, String name, boolean active, String completeAddress, String gerente, User createdBy, Date createdOn, User lastUpdatedBy, Date lastUpdatedOn, String printer, int maxPerson, boolean demo, Date finDemo) {
        this.id = id;
        this.name = name;
        this.active = active;
        this.completeAddress = completeAddress;
        this.gerente = gerente;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
        this.lastUpdatedBy = lastUpdatedBy;
        this.lastUpdatedOn = lastUpdatedOn;
        this.printer = printer;
        this.maxPerson= maxPerson;
        this.demo= demo;
        this.finDemo= finDemo;
    }

    
    
    public Location(String id, String name, boolean active, User createdBy, Date createdOn, User lastUpdatedBy, Date lastUpdatedOn) {
        this.id = id;
        this.name = name;
        this.active = active;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
        this.lastUpdatedBy = lastUpdatedBy;
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public Location(String id, boolean active, RegimenFiscal taxRegime, String businessName, String rfc, String postalCode, String certificate, String certificateKey, String certificatePassword, String certificateCode, String certificateNumber) {
        this.id = id;
        this.active = active;
        this.taxRegime = taxRegime;
        this.businessName = businessName;
        this.rfc = rfc;
        this.postalCode = postalCode;
        this.certificate = certificate;
        this.certificateKey = certificateKey;
        this.certificatePassword = certificatePassword;
        this.certificateCode = certificateCode;
        this.certificateNumber = certificateNumber;
    }

    public Location(String id, String name, boolean active, User createdBy, Date createdOn, int maxPerson, boolean demo, Date finDemo) {
        this.id = id;
        this.name = name;
        this.active = active;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
        this.maxPerson = maxPerson;
        this.demo = demo;
        this.finDemo = finDemo;
    }
    
    

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    public User getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public User getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(User lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public String getCompleteAddress() {
        return completeAddress;
    }

    public void setCompleteAddress(String completeAddress) {
        this.completeAddress = completeAddress;
    }

    public String getGerente() {
        return gerente;
    }

    public void setGerente(String gerente) {
        this.gerente = gerente;
    }

    public RegimenFiscal getTaxRegime() {
        return taxRegime;
    }

    public void setTaxRegime(RegimenFiscal taxRegime) {
        this.taxRegime = taxRegime;
    }

    public String getBusinessName() {
        return businessName;
    }

    public void setBusinessName(String businessName) {
        this.businessName = businessName;
    }

    public String getRfc() {
        return rfc;
    }

    public void setRfc(String rfc) {
        this.rfc = rfc;
    }

    public String getMail() {
        return mail;
    }

    public void setMail(String mail) {
        this.mail = mail;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getSuburb() {
        return suburb;
    }

    public void setSuburb(String suburb) {
        this.suburb = suburb;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getMunicipality() {
        return municipality;
    }

    public void setMunicipality(String municipality) {
        this.municipality = municipality;
    }

    public String getPostalCode() {
        return postalCode;
    }

    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

    public String getCertificate() {
        return certificate;
    }

    public void setCertificate(String certificate) {
        this.certificate = certificate;
    }

    public String getCertificateKey() {
        return certificateKey;
    }

    public void setCertificateKey(String certificateKey) {
        this.certificateKey = certificateKey;
    }

    public String getCertificatePassword() {
        return certificatePassword;
    }

    public void setCertificatePassword(String certificatePassword) {
        this.certificatePassword = certificatePassword;
    }

    public String getCertificateCode() {
        return certificateCode;
    }

    public void setCertificateCode(String certificateCode) {
        this.certificateCode = certificateCode;
    }

    public String getCertificateNumber() {
        return certificateNumber;
    }

    public void setCertificateNumber(String certificateNumber) {
        this.certificateNumber = certificateNumber;
    }

    public String getPrinter() {
        return printer;
    }

    public void setPrinter(String printer) {
        this.printer = printer;
    }

    public Integer getMaxPerson() {
        return maxPerson;
    }

    public void setMaxPerson(Integer maxPerson) {
        this.maxPerson = maxPerson;
    }

    public boolean isDemo() {
        return demo;
    }

    public void setDemo(boolean demo) {
        this.demo = demo;
    }

    public Date getFinDemo() {
        return finDemo;
    }

    public void setFinDemo(Date finDemo) {
        this.finDemo = finDemo;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }
    
}
